import java.util.*;
/**
 * Lab #3
 * CS 2334, Section 0??
 * February 11, 2011
 * <P>
 * This class implements a program that tests the Place class code.
 * </P>
 * @author Leave Blank
 * @version 1.0
 */
public class Lab3Driver {

	/**
	 * This is the main method for this driver program. Since this is a
	 * simple program, all of our code will be in the main method.
	 * Typically this would be a bad design, but we are just testing out
	 * some features of Java.
	 * <P>
	 * Algorithm<br>
	 * Test out the places class and an ArrayList of them to help your
	 * understanding of creating, sorting, and searching lists.
	 * </P>
	 * @param             args       Contains the command line arguments.
	 */

	public static void main(String[] args) {
		List places = new ArrayList();

		/* 
		 * Instantiate eight objects of type Place and add them
		 * to the list places. 
		 * I have created and added the first place for you. :)
		 */        
		Place place1 = new Place( "Norman", "OK", "115,876");

		/* The list is referenced to by the variable places.  You can add to
		 * the list by invoking the add method in ArrayList.
		 */
		places.add(place1);

		/*
		 * Print out the unsorted list of places.
		 * This uses an iterator to "iterate" through the list.
		 */
		System.out.println( "\n\nUnsorted List:" );

		Iterator iterator = places.iterator();

		while( iterator.hasNext() )
		{
			// Note: This line of code will call toString of the Contacts class.
			System.out.println( iterator.next() );
		}


		/*
		 * Sort the list of record holders using Collections.sort().
		 * Take a look at Collections.sort() in the API at
		 * http://download.oracle.com/javase/6/docs/api/java/util/Collections.html#sort%28java.util.List%29
		 * You need to call Collections.sort() and pass it the list of record holders.
		 * SEE THE LAB HANDOUT FOR MORE INFORMATION.
		 */

		// ADD CODE TO SORT HERE
		

		/*
		 * Print out the sorted list of record holders.
		 */
		System.out.println( "Sorted List:" );
		/* HINT: Use an iterator the same way I used one above when
		 * the unsorted list of places was printed.
		 */

		// ADD CODE TO PRINT THE LIST HERE
		

		/* 
		 * Search for a particular place in the list.
		 */
		System.out.println( "\n\nSearching" );
		Place key = new Place( "Austin", "TX", "786,386" );
		System.out.println( "Key is " + key );

		/*
		 * Call Collections.binarySearch() to find the index of key.  
		 * Make sure you test the value of index to see if it negative, 
		 * which indicates that the key was not found in the list.
		 */
		
		int index = Collections.binarySearch( places, key );

		/* 
		 * Print out whether the place was found or not and the index
		 * at which it was found.
		 * HINT: If index is negative print a statement saying that the
		 *       item searched for is not in the list.  Otherwise, print
		 *       out a statement telling that item was found in the list
		 *       and give the index of item in the list as well.
		 */

		// ADD CODE HERE
		
		
	}
}